/*
 * MainForm.java
 *
 * Created on Sobota, 2004, oktber 16, 15:07
 */

/**
 *
 * @author  Marek Mizanin
 */
import java.awt.*;
import java.awt.image.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;

public class MainForm extends javax.swing.JFrame implements WindowListener
{
	MyPanel pan=null;
	/** Creates a new instance of MainForm */
	public MainForm()
	{
		initComponents();
		this.setTitle("J000_noise");
	}
	
	private void initComponents()
	{
		addWindowListener(this);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		initLookAndFeel();
	//	getContentPane().setLayout(null);
	//	getContentPane().setLayout(new FlowLayout());
		
		setSize(400, 300);
		
		pan = new MyPanel();
		getContentPane().add(pan);
	//	pan.setBounds(0, 0, getWidth(), getHeight());
	}
	public void setBounds(int x, int y, int width, int height)
	{
		super.setBounds( x, y, width, height);
		if(pan!=null)
			pan.setBounds(0, 0, getWidth(), getHeight());
	}
	public void setBounds(Rectangle r)
	{
		super.setBounds(r);
		if(pan!=null)
			pan.setBounds(0, 0, getWidth(), getHeight());
	}
	public void setSize(int width,int height)
	{
		super.setSize(width,height);
		if(pan!=null)
			pan.setBounds(0, 0, getWidth(), getHeight());		
	}
	public void setSize(Dimension d)
	{
		super.setSize(d);
		if(pan!=null)
			pan.setBounds(0, 0, getWidth(), getHeight());		
	}
	
	public void start()
	{
		pan.start();
	}
	
	public void stop()
	{
		pan.stop();
	}
	
	public static void main(String args[])
	{
	//	new MainForm().show();
		MainForm a = new MainForm();
		a.show();
	//	a.start();
	}
	
	
	public void initLookAndFeel()
	{
		// Force SwingApplet to come up in the System L&F
		String laf = UIManager.getSystemLookAndFeelClassName();
		try 
		{
			UIManager.setLookAndFeel(laf);
			// UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
			// UIManager.setLookAndFeel("javax.swing.plaf.metal.MetalLookAndFeel");
			// UIManager.setLookAndFeel("com.sun.java.swing.plaf.motif.MotifLookAndFeel");
			// UIManager.setLookAndFeel("com.sun.java.swing.plaf.windows.WindowsLookAndFeel");
		} 
		catch (UnsupportedLookAndFeelException exc) 
		{
			System.err.println("Warning: UnsupportedLookAndFeel: " + laf);
		}
		catch (Exception exc) 
		{
			System.err.println("Error loading " + laf + ": " + exc);
		}
	}
	
	public void windowOpened(java.awt.event.WindowEvent windowEvent)
	{
		start();
	}
	
	public void windowClosing(java.awt.event.WindowEvent windowEvent)
	{
		stop();
	}

	public void windowClosed(java.awt.event.WindowEvent windowEvent)
	{
		stop();
	}
	
	public void windowDeiconified(java.awt.event.WindowEvent windowEvent)
	{
		start();
	}
	
	public void windowIconified(java.awt.event.WindowEvent windowEvent)
	{
		stop();
	}
		
	public void windowActivated(java.awt.event.WindowEvent windowEvent)
	{
	//	start();
	}
	
	public void windowDeactivated(java.awt.event.WindowEvent windowEvent)
	{
	//	stop();
	}
	
}
